#ifndef _libLegs_LowerLeg_h
#define _libLegs_LowerLeg_h

/*! \brief
*  Functionality related to the leg
*/
namespace LEG {

/*! \brief
*  Describes a shin
*/
class Shin {
public:

/*! \brief
* Default Constructor
*/
Shin(void);
~Shin(void);

/*! \brief
* Gets the length of a shin
*/
int GetShinLength(void);

/*! \brief
* Sets the length of a shin
*/
void SetShinLength(int shinLength);
}
}

/*! \brief
*  Functionality related to the foot
*/

namespace FOOT {

/*! \brief
*  Describes an ankle
*/
class Ankle {
public:

/*! \brief
* Default Constructor
*/
Ankle(void);
~Ankle(void);

/*! \brief
* Gets the length of an Ankle
*/
int GetAnkleLength(void);

/*! \brief
* Sets the length of an Ankle
*/
void SetAnkleLength(int ankleLength);

}   
}
#endif 
